# Filter the _speedups.so provides that otherwise comes into the provides
%global __provides_exclude _speedups\\.so
%define module scss
%global debug_package %{nil}


Name:           python-scss
Version:        1.4.0
Release:        %mkrel 3
Summary:        A SCSS compiler for Python

License:        MIT
Group:          Development/Python
URL:            https://github.com/Kronuz/pyScss
Source0:        https://github.com/Kronuz/pyScss/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-setuptools

%description
A SCSS compiler for Python.

%package -n     python3-%{module}
Summary:        A SCSS compiler for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Provides:       pyscss = %{version}-%{release}

%description -n python3-%{module}
A SCSS compiler for Python3.

%prep
%autosetup -p1 -n pyScss-%{version}

# Fix shebangs
%py3_shebang_fix .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

export PYTHONPATH=$(pwd)
make -C docs man SPHINXBUILD=sphinx-build
make -C docs html SPHINXBUILD=sphinx-build

%install
%pyproject_install
%pyproject_save_files %{module}


mkdir -p %{buildroot}%{_mandir}/man1/
cp -ar docs/_build/man/pyscss.1 %{buildroot}%{_mandir}/man1/pyscss.1

%files -n python3-%{module} -f %{pyproject_files}
%doc DESCRIPTION README.rst
%doc docs/_build/html
%{_bindir}/pyscss
%{_bindir}/less2scss
%{_mandir}/man1/pyscss.1.*


%changelog
* Sun Mar 02 2025 wally <wally> 1.4.0-3.mga10
+ Revision: 2157593
- rebuild for python3.13

* Tue Jan 21 2025 papoteur <papoteur> 1.4.0-2.mga10
+ Revision: 2140384
- fix build

* Sat Mar 09 2024 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2048840
- new version 1.4.0
- rebuild for python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 1.3.7-4.mga9
+ Revision: 1799175
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.3.7-3.mga9
+ Revision: 1778850
- Rebuild for python-3.10

* Sat Mar 20 2021 joequant <joequant> 1.3.7-2.mga9
+ Revision: 1705220
- update to python 3.9

* Sat Jul 11 2020 daviddavid <daviddavid> 1.3.7-1.mga8
+ Revision: 1604725
- new version: 1.3.7
+ joequant <joequant>
- bump
- fix shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.3.5-3.mga8
+ Revision: 1441634
- make pkg archful
- rebuild for python3.8
- provide pyscss
+ tv <tv>
- make it noarch, only the py2 subpkg contained binaries

* Sun Aug 25 2019 wally <wally> 1.3.5-2.mga8
+ Revision: 1431827
- update doc build

* Sun Apr 14 2019 daviddavid <daviddavid> 1.3.5-1.mga7
+ Revision: 1390046
- new version: 1.3.5
- switch to Python 3

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-7.mga7
+ Revision: 1300593
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-6.mga6
+ Revision: 947008
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 745990
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-4.mga5
+ Revision: 729740
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 688321
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 11 2014 colin <colin> 1.2.0-1.mga5
+ Revision: 589296
- Import package python-scss from Fedora


* Wed Nov 06 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-2
- Buildrequire set to python2-devel
- Added buildrequire pcre-devel
- Changed URL to Source
- Added -a to cp to retain timestamp

* Thu Oct 17 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-1
- Initial packaging
